Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::ImplicitActivationPolicy_var Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::ImplicitActivationPolicy_var:

[legend]
Collaboration diagram for PortableServer::ImplicitActivationPolicy_var:

[legend]
List of all members.

## Public Methods
| ImplicitActivationPolicy_var (void)
| ImplicitActivationPolicy_var (ImplicitActivationPolicy_ptr p)
| ImplicitActivationPolicy_var (const ImplicitActivationPolicy_var &)
| ~ImplicitActivationPolicy_var (void)
ImplicitActivationPolicy_var & | operator= (ImplicitActivationPolicy_ptr)
ImplicitActivationPolicy_var & | operator= (const ImplicitActivationPolicy_var &)
ImplicitActivationPolicy_ptr | operator-> (void) const
| operator const ImplicitActivationPolicy_ptr & () const
| operator ImplicitActivationPolicy_ptr & ()
ImplicitActivationPolicy_ptr | in (void) const
ImplicitActivationPolicy_ptr & | inout (void)
ImplicitActivationPolicy_ptr & | out (void)
ImplicitActivationPolicy_ptr | _retn (void)
ImplicitActivationPolicy_ptr | ptr (void) const
## Static Public Methods
ImplicitActivationPolicy_ptr | tao_duplicate (ImplicitActivationPolicy_ptr)
void | tao_release (ImplicitActivationPolicy_ptr)
ImplicitActivationPolicy_ptr | tao_nil (void)
ImplicitActivationPolicy_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| ImplicitActivationPolicy_var (const TAO_Base_var &rhs)
ImplicitActivationPolicy_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
ImplicitActivationPolicy_ptr | ptr_

## Constructor & Destructor Documentation

PortableServer::ImplicitActivationPolicy_var::ImplicitActivationPolicy_var | ( | void |  | ) |

PortableServer::ImplicitActivationPolicy_var::ImplicitActivationPolicy_var | ( | ImplicitActivationPolicy_ptr | p | ) | `[inline]`

PortableServer::ImplicitActivationPolicy_var::ImplicitActivationPolicy_var | ( | const ImplicitActivationPolicy_var & |  | ) |

PortableServer::ImplicitActivationPolicy_var::~ImplicitActivationPolicy_var | ( | void |  | ) |

PortableServer::ImplicitActivationPolicy_var::ImplicitActivationPolicy_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

ImplicitActivationPolicy_ptr PortableServer::ImplicitActivationPolicy_var::_retn | ( | void |  | ) |

ImplicitActivationPolicy_ptr PortableServer::ImplicitActivationPolicy_var::in | ( | void |  | ) | const

ImplicitActivationPolicy_ptr& PortableServer::ImplicitActivationPolicy_var::inout | ( | void |  | ) |

PortableServer::ImplicitActivationPolicy_var::operator const ImplicitActivationPolicy_ptr & | ( |  | ) | const

PortableServer::ImplicitActivationPolicy_var::operator ImplicitActivationPolicy_ptr & | ( |  | ) |

ImplicitActivationPolicy_ptr PortableServer::ImplicitActivationPolicy_var::operator-> | ( | void |  | ) | const

ImplicitActivationPolicy_var& PortableServer::ImplicitActivationPolicy_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

ImplicitActivationPolicy_var& PortableServer::ImplicitActivationPolicy_var::operator= | ( | const ImplicitActivationPolicy_var & |  | ) |

PortableServer::ImplicitActivationPolicy_var & PortableServer::ImplicitActivationPolicy_var::operator= | ( | ImplicitActivationPolicy_ptr | p | ) |

ImplicitActivationPolicy_ptr& PortableServer::ImplicitActivationPolicy_var::out | ( | void |  | ) |

PortableServer::ImplicitActivationPolicy_ptr PortableServer::ImplicitActivationPolicy_var::ptr | ( | void |  | ) | const

ImplicitActivationPolicy_ptr PortableServer::ImplicitActivationPolicy_var::tao_duplicate | ( | ImplicitActivationPolicy_ptr |  | ) | `[static]`

ImplicitActivationPolicy_ptr PortableServer::ImplicitActivationPolicy_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

ImplicitActivationPolicy_ptr PortableServer::ImplicitActivationPolicy_var::tao_nil | ( | void |  | ) | `[static]`

void PortableServer::ImplicitActivationPolicy_var::tao_release | ( | ImplicitActivationPolicy_ptr |  | ) | `[static]`

CORBA::Object* PortableServer::ImplicitActivationPolicy_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

ImplicitActivationPolicy_ptr PortableServer::ImplicitActivationPolicy_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp